# Awesome Community Detection Research Papers
[![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)
[![repo size](https://img.shields.io/github/repo-size/benedekrozemberczki/awesome-community-detection.svg)](https://github.com/benedekrozemberczki/awesome-community-detection/archive/master.zip)
![License](https://img.shields.io/github/license/benedekrozemberczki/awesome-community-detection.svg?color=blue) [![benedekrozemberczki](https://img.shields.io/twitter/follow/benrozemberczki?style=social&logo=twitter)](https://twitter.com/intent/follow?screen_name=benrozemberczki)

A collection of community detection research papers.

Similar collections about [graph classification](https://github.com/benedekrozemberczki/awesome-graph-classification), [classification/regression tree](https://github.com/benedekrozemberczki/awesome-decision-tree-papers), [fraud detection](https://github.com/benedekrozemberczki/awesome-fraud-detection-papers), and [gradient boosting](https://github.com/benedekrozemberczki/awesome-gradient-boosting-papers) papers with implementations.

<p align="center">
  <img width="460" src="coms.png">
</p>

## Table of Contents  

1. [Matrix Factorization](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/factorization.md)  
2. [Deep Learning](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/deep_learning.md) 
3. [Label Propagation, Percolation and Random Walks](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/label_propagation.md) 
4. [Tensor Decomposition](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/tensor_decomposition.md)
5. [Spectral Methods](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/spectral.md) 
6. [Temporal Methods](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/temporal.md) 
7. [Cyclic Patterns](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/cyclic.md)
8. [Centrality and Cuts](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/centrality.md) 
9. [Physics Inspired](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/physics.md)
10. [Block Models](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/blockmodels.md)
11. [Hypergraphs](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/hyper_graphs.md) 
12. [Others](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/others.md) 
13. [Libraries](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/chapters/libraries.md)

-------

**License**

- [CC0 Universal](https://github.com/benedekrozemberczki/awesome-community-detection/blob/master/LICENSE)
