## Cyclic Patterns
- **Core Expansion: A New Community Detection Algorithm Based on Neighborhood Overlap (Social Network Analysis and Mining 2020)**
  - Ali Choumane, Ali Awada, and Ali Harkous 
  - [[Paper]](https://link.springer.com/article/10.1007/s13278-020-00647-6)
  - [[Java Reference]](https://github.com/alichoumane/Core-Expansion)

- **Efficient and Incremental Clustering Algorithms on Star-Schema Heterogeneous Graphs (ICDE 2019)**
  - Lu Chen, Yunjun Gao, Yuanliang Zhang, Christian S. Jensen, Bolong Zheng 
  - [[Paper]](https://ieeexplore.ieee.org/document/8731611/)
  - [[C++ Reference]](https://github.com/kubertzhang/GraphClustering)

- **Scaling Fine-grained Modularity Clustering for Massive Graphs (AAAI 2019)**
  - Hiroaki Shiokawa, Toshiyuki Amagasa, and Hiroyuki Kitagawa
  - [[Paper]](https://arxiv.org/abs/1909.08786)
  - [[C++ Reference]](https://github.com/LazyShion/gScarf)

- **DAOC: Stable Clustering of Large Networks (Phys. Rev E 2019)**
  - Artem Lutov, Mourad Khayati, Philippe Cudré-Mauroux
  - [[Paper]](https://arxiv.org/abs/1909.08786)
  - [[C++ Reference]](https://github.com/eXascaleInfolab/daoc)

- **Fast Consensus Clustering in Complex Networks (Phys. Rev E 2019)**
  - Aditya Tandon, Aiiad Albeshri, Vijey Thayananthan, Wadee Alhalabi, Santo Fortunato
  - [[Paper]](https://arxiv.org/abs/1902.04014)
  - [[Python Reference]](https://github.com/adityat/fastconsensus)
  
- **A Distributed Hybrid Community Detection Methodology for Social Networks (MDPI Algorithms 2019)**
  - Konstantinos Georgiou, Christos Makris, and Georgios Pispirigos 
  - [[Paper]](https://www.mdpi.com/1999-4893/12/8/175)
  - [[Python Reference]](https://github.com/drkostas/HGN)

- **EdMot: An Edge Enhancement Approach for Motif-aware Community Detection (KDD 2019)**
  - Pei-Zhen Li, Ling Huang, Chang-Dong Wang, and Jian-Huang Lai 
  - [[Paper]](https://arxiv.org/abs/1906.04560)
  - [[Python Reference]](https://github.com/benedekrozemberczki/EdMot)
  - [[Matlab Reference]](https://github.com/lipzh5/EdMot_pro)

- **From Louvain to Leiden: Guaranteeing Well-connected Communities (Scientific Reports 2019)**
  - Vincent Traag, Ludo Waltman, Nees Jan van Eck
  - [[Paper]](https://arxiv.org/abs/1810.08473)
  - [[C++ Reference]](https://github.com/vtraag/leidenalg)
  - [[Julia Reference]](https://github.com/bicycle1885/Leiden.jl)
  
- **CC-GA: A Clustering Coefficient Based Genetic Algorithm for Detecting Communities in Social Networks (Applied Soft Computing 2018)**
  - Anwar Said, Rabeeh Aya Abbasi, Onaiza Maqbool, Ali Daudbd, Naif Radi Aljohani
  - [[Paper]](https://www.sciencedirect.com/science/article/abs/pii/S1568494617306774)
  - [[Python Reference]](https://github.com/Anwar-Said/CC-GA)

- **Anti-community Detection in Complex Networks (SSDBM 2018)**
  - Sebastian Lackner, Andreas Spitz, Matthias Weidemüller and Michael Gertz
  - [[Paper]](https://dbs.ifi.uni-heidelberg.de/files/Team/slackner/publications/Lackner_et_al_2018_Anti_Communities.pdf)
  - [[C Reference]](https://github.com/slackner/anti-community/)

- **Adaptive Modularity Maximization via Edge Weighting Scheme (Information Sciences 2018)**
  - Xiaoyan Lu, Konstantin Kuzmin, Mingming Chen, and Boleslaw K Szymanski
  - [[Paper]](https://link.springer.com/chapter/10.1007/978-3-319-72150-7_23)
  - [[Python Reference]](https://github.com/xil12008/adaptive_modularity)
  
- **Semi-Supervised Community Detection Using Structure and Size (ICDM 2018)**
  - Arjun Bakshi, Srinivasan Parthasarathy, and Kannan Srinivasan
  - [[Paper]](!!Missing!!)
  - [[Python Reference]](https://github.com/abaxi/bespoke-icdm18)
  - [[Python]](https://github.com/yzhang1918/bespoke-sscd)
  
- **Graph Sketching-based Space-efficient Data Clustering (SDM 2018)**
  - Anne Morvan, Krzysztof Choromanski, Cédric Gouy-Pailler, Jamal Atif
  - [[Paper]](https://epubs.siam.org/doi/pdf/10.1137/1.9781611975321.2)
  - [[Python Reference]](https://github.com/annemorvan/DBMSTClu)
  
- **Hierarchical Graph Clustering using Node Pair Sampling (Arxiv 2018)**
  - Thomas Bonald, Bertrand Charpentier, Alexis Galland and Alexandre Hollocou
  - [[Paper]](https://arxiv.org/pdf/1806.01664v2.pdf)
  - [[Python Reference]](https://github.com/tbonald/paris)
  
- **Expander Decomposition and Pruning: Faster, Stronger, and Simpler (Arxiv 2018)**
  - Thatchaphol Saranurak, Di Wang
  - [[Paper]](https://arxiv.org/abs/1812.08958)
  - [[C++ Reference]](https://github.com/Skantz/expander-decomposition)
  
- **Priority Based Clustering in Weighted Graph Streams (JISE 2018)**
  - Mohsen Saadatpour, Sayyed Kamyar Izadi, Mohammad Nasirifar, and Hamed Kavoosi
  - [[Paper]](https://www.researchgate.net/publication/326622737_Priority-based_clustering_in_weighted_graph_streams)
  - [[Java Reference]](https://github.com/farnasirim/pri-bas-clu)
  
- **Affinity Clustering: Hierarchical Clustering at Scale (NeurIPS 2017)**
  - Mohammadhossein Bateni, Soheil Behnezhad, Mahsa Derakhshan, MohammadTaghi Hajiaghayi, Raimondas Kiveris, Silvio Lattanzi, Vahab Mirrokni
  - [[Paper]](https://papers.nips.cc/paper/7262-affinity-clustering-hierarchical-clustering-at-scale)
  - [[Python Reference]](https://github.com/MahsaDerakhshan/AffinityClustering)
  
- **Graph Learning for Multiview Clustering (IEEE Transactions on Cybernetics 2017)**
  - Anne Morvan, Krzysztof Choromanski, Cédric Gouy-Pailler, and Jamal Atif
  - [[Paper]](https://link.springer.com/chapter/10.1007/978-3-319-72150-7_23)
  - [[Matlab Reference]](https://github.com/kunzhan/MVGL)
  
- **DCEIL: Distributed Community Detection with the CEIL Score (IEEE HPCC 2017)**
  - Akash Jain, Rupesh Nasre, Balaraman Ravindran 
  - [[Paper]](https://ieeexplore.ieee.org/document/8291922)
  - [[Java Reference]](https://github.com/RBC-DSAI-IITM/DCEIL)
  
- **A Community Detection Algorithm Using Network Topologies and Rule-Based Hierarchical Arc-Merging Strategies (PLOS One 2017)**
  - Yu-Hsiang Fu, Chung-Yuan Huang, and Chuen-Tsai Sun 
  - [[Paper]](https://journals.plos.org/plosone/article?id=10.1371/journal.pone.0187603)
  - [[Python Reference]](https://github.com/yuhsiangfu/Hierarchical-Arc-Merging)
  
- **Local Higher-Order Graph Clustering (KDD 2017)**
  - Hao Yin, Austin Benson, Jure Leskovec, and David Gleich 
  - [[Paper]](https://cs.stanford.edu/~jure/pubs/mappr-kdd17.pdf)
  - [[Python Reference]](https://github.com/thecamelrider/MAPPR-Community-detection)
  - [[C++ SNAP Reference]](http://snap.stanford.edu/mappr/code.html)
  
- **ComSim: A Bipartite Community Detection Algorithm Using Cycle and Node’s Similarity (Complex Networks 2017)**
  - Raphael Tack, Fabien Tarissan, and Jean-Loup Guillaume
  - [[Paper]](https://arxiv.org/pdf/1705.04863.pdf)
  - [[C++ Reference]](https://github.com/rtackx/ComSim)
  
- **Discovering Community Structure in Multilayer Networks (DSAA 2017)**
  - Soumajit Pramanik, Raphael Tackx, Anchit Navelkar, Jean-Loup Guillaume, Bivas Mitra 
  - [[Paper]](https://ieeexplore.ieee.org/abstract/document/8259823)
  - [[Python Reference]](https://github.com/Soumajit-Pramanik/Multilayer-Louvain)
  
- **Evolutionary Graph Clustering for Protein Complex Identification (IEEE Transactions on Computational Biology and Bioinformatics  2016)**
  - Tiantian He and Keith C.C. Chan 
  - [[Paper]](https://ieeexplore.ieee.org/document/7792218)
  - [[Java Reference]](https://github.com/he-tiantian/EGCPI)
  
- **pSCAN: Fast and Exact Structural Graph Clustering (ICDE 2016)**
  - T Lijun Chang, Wei Li, Xuemin Lin, Lu Qin, and Wenjie Zhang 
  - [[Paper]](https://ieeexplore.ieee.org/document/7498245)
  - [[C++ Reference]](https://github.com/LijunChang/pSCAN)
  - [[Scala]](https://github.com/dawnranger/spark-pscan)
  
- **Node-Centric Detection of Overlapping Communities in Social Networks (IWSCN 2016)**
  - Yehonatan Cohen, Danny Hendler, Amir Rubin
  - [[Paper]](https://arxiv.org/pdf/1607.01683.pdf)
  - [[Java Reference]](https://github.com/amirubin87/NECTAR)
  
- **Graph Clustering with Density-Cut (Arxiv 2016)**
  - Junming Shao, Qinli Yang, Jinhu Liu, Stefan Kramer
  - [[Paper]](https://arxiv.org/abs/1606.00950)
  - [[Go Reference]](https://github.com/askiada/GraphDensityCut)
  
- **Community Detection in Directed Acyclic Graphs (European Physical Journal B 2015)**
  - Leo Speidel, Taro Takaguchi, Naoki Masuda
  - [[Paper]](https://link.springer.com/article/10.1140/epjb/e2015-60226-y)
  - [[Python Reference]](https://github.com/leospeidel/dag_community_paper)
  
- **Intra-Graph Clustering Using Collaborative Similarity Measure (DPCD 2015)**
  - Waqas Nawaz, Kifayat-Ullah Khan, Young-Koo Lee, and Sungyoung Lee
  - [[Paper]](https://link.springer.com/article/10.1007/s10619-014-7170-x)
  - [[Java Reference]](https://github.com/WNawaz/CSM)
  
- **K-Clique Community Detection in Social NetworksBased on Formal Concept Analysis (IEEE Systems 2015)**
  -  Fei Hao, Geyong Min, Zheng Pei, Doo-Soon Park, Laurence T. Yang 
  - [[Paper]](https://ieeexplore.ieee.org/stamp/stamp.jsp?arnumber=7117352&tag=1)
  - [[Python Reference]](https://github.com/indiansher/k-clique-community-detection-spark)
  
- **High Quality, Scalable and Parallel Community Detection for Large Real Graphs (WWW 2014)**
  - Arnau Prat-Perez David Dominguez-Sal and Josep-Lluis Larriba-Pey
  - [[Paper]](http://wwwconference.org/proceedings/www2014/proceedings/p225.pdf)
  - [[C++ Reference]](https://github.com/Het-SCD/Het-SCD)
  
- **GMAC: A Seed-Insensitive Approach to Local Community Detection (DaWak 2013)**
  - Lianhang Ma, Hao Huang, Qinming He, Kevin Chiew, Jianan Wu, and Yanzhe Che
  - [[Paper]](https://link.springer.com/chapter/10.1007/978-3-642-40131-2_26)
  - [[Python Reference]](https://github.com/SnehaManjunatha/Local-Community-Detection)
  
- **On the Maximum Quasi-Clique Problem (Discrete Applied Mathematics 2013)**
  - Jeffrey Pattillo, Alexander Veremyev, Sergiy Butenko, and Vladimir Boginski
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0166218X12002843)
  - [[Python Reference]](https://github.com/vishwass/QUAC)
  
- **Community Detection in Networks with Node Attributes (ICDM 2013)**
  - Jaewon Yang, Julian McAuley, and Jure Leskovec
  - [[Paper]](https://www-cs.stanford.edu/~jure/pubs/cesna-icdm13.pdf)
  - [[C++ Reference]](https://github.com/snap-stanford/snap/tree/master/examples/cesna)
  
- **Detecting the Structure of Social Networks Using (α,β)-Communities (IWAMW 2011)**
  - Jing He, John Hopcroft, Liang Hongyu, Supasorn Suwajanakorn, and Liaoruo Wang
  - [[Paper]](https://ecommons.cornell.edu/bitstream/handle/1813/22415/WAW2011.pdf?sequence=2&isAllowed=y)
  - [[Python Reference]](https://github.com/handasontam/Alpha-Beta-Communities)
  
- **Multi-Netclust: An Efficient Tool for Finding Connected Clusters in Multi-Parametric Networks (IWAMW 2011)**
  - Arnold Kuzniar, Somdutta Dhir, Harm Nijveen, Sándor Pongor, Jack A.M. Leunissen 
  - [[Paper]](https://www.ncbi.nlm.nih.gov/pubmed/20679333)
  - [[C Reference]](https://github.com/arnikz/netclust)
  
- **Detecting Communities in Networks by Merging Cliques (IEEE ICICISYS 2009)**
  - Bowen Yan and Steve Gregory 
  - [[Paper]](https://ieeexplore.ieee.org/abstract/document/5358036)
  - [[Java Reference]](https://github.com/bowenyan/CommunityDetection-CliqueMod)
  
- **Fast Unfolding of Communities in Large Networks (Journal of Statistical Mechanics 2008)**
  - Vincent D Blondel, Jean-Loup Guillaume, Renaud Lambiotte, Renaud Lefebvre
  - [[Paper]](https://arxiv.org/abs/0803.0476)
  - [[Python]](https://python-louvain.readthedocs.io/en/latest/)
  - [[Python]](https://github.com/tsakim/Shuffled_Louvain)
  - [[Python]](https://github.com/brady131313/Louvains)
  - [[C]](https://github.com/jlguillaume/louvain)
  - [[C++ Parallel]](https://github.com/Exa-Graph/vite)
  - [[C++]](https://github.com/Sotera/spark-distributed-louvain-modularity)
  - [[C++]](https://github.com/ghp-16/louvain)
  - [[C++ GPU]](https://github.com/bobbys-dev/gpu-louvain)
  - [[Javascript]](https://github.com/upphiminn/jLouvain)
  - [[Javascript]](https://github.com/multivacplatform/louvain)
  - [[Javascript]](https://github.com/graphology/graphology-communities-louvain)
  - [[Java]](https://github.com/JoanWu5/Louvain)
  - [[Matlab]](https://github.com/JoanWu5/Louvain)
  - [[Matlab]](https://github.com/BigChopH/Louvain-clustering)
  - [[Scala]](https://github.com/Sotera/spark-distributed-louvain-modularity)
  - [[Rust]](https://github.com/graphext/louvain-rs)
  
- **Modularity and Community Detection in Bipartite Networks (Phys. Rev. E 2007)**
  - Michael J. Barberl
  - [[Paper]](https://arxiv.org/abs/0707.1616)
  - [[Python Reference]](https://github.com/genisott/pycondor)
  
