## Deep Learning

- **Community Detection Clustering via Gumbel Softmax (ArXiV 2020)**
  - Deepak Bhaskar Acharya, Huaming Zhang
  - [[Paper]](https://arxiv.org/abs/2005.02372)
  - [[Code]](https://github.com/deepakacharyab/community_detection_gumbel_softmax)
  
- **Graph Clustering with Graph Neural Networks (Arxiv 2020)**
  - Anton Tsitsulin, John Palowitch, Bryan Perozzi, Emmanuel Müller
  - [[Paper]](https://arxiv.org/abs/2006.16904)
  - [[Code]](https://github.com/google-research/google-research/tree/master/graph_embedding/dmon)

- **Adversarial Attack on Community Detection by Hiding Individuals (WWW 2020)**
  - Jia Li, Honglei Zhang, Zhichao Han, Yu Rong, Hong Cheng, Junzhou Huang
  - [[Paper]](https://arxiv.org/abs/2001.07933)
  - [[Code]](https://github.com/halimiqi/CD-ATTACK)

- **One2Multi Graph Autoencoder for Multi-view Graph Clustering (WWW 2020)**
  - Shaohua Fan, Xiao Wang, Chuan Shi, Emiao Lu, Ken Lin, Bai Wang
  - [[Paper]](http://www.shichuan.org/doc/83.pdf)
  - [[Python Reference]](https://github.com/googlebaba/WWW2020-O2MAC)

- **Structural Deep Clustering Network (WWW 2020)**
  - Deyu Bo, Xiao Wang, Chuan Shi, Meiqi Zhu, Emiao Lu, Peng Cui
  - [[Paper]](https://arxiv.org/abs/2002.01633)
  - [[Python Reference]](https://github.com/bdy9527/SDCN)

- **Deep Multi-Graph Clustering via Attentive Cross-Graph Association (WSDM 2020)**
  - Jingchao Ni, Suhang Wang, Yuchen Bian, Xiong Yu and Xiang Zhang 
  - [[Paper]](http://personal.psu.edu/dul262/dmgc.pdf)
  - [[Python Reference]](https://github.com/flyingdoog/DMGC)
  
- **Overlapping Community Detection with Graph Neural Networks (MLGWorkShop 2019)**
  - Oleksandr Shchur and Stephan Gunnemann
  - [[Paper]](http://www.kdd.in.tum.de/research/nocd/)
  - [[Python Reference]](https://github.com/shchur/overlapping-community-detection)
  - [[Python]](https://github.com/EthanNing/Exp-GAE-model)
  - [[Python]](https://github.com/NIRVANALAN/DVGOCD-DGL)

- **Supervised Community Detection with Line Graph Neural Networks (ICLR 2019)**
  - Zhengdao Chen, Xiang Li, and Joan Bruna
  - [[Paper]](https://arxiv.org/abs/1705.08415)
  - [[LUA Reference]](https://github.com/joanbruna/GNN_community)
  - [[Python Reference]](https://github.com/afansi/multiscalegnn)
  - [[Python]](https://github.com/zhengdao-chen/GNN4CD)
  
- **Symmetric Graph Convolutional Autoencoder for Unsupervised Graph Representation Learning (ICCV 2019)**
  - Jiwoong Park, Minsik Lee, Hyung Jin Chang, Kyuewang Lee, Jin Young Choi
  - [[Paper]](https://arxiv.org/abs/1908.02441v1)
  - [[Python Reference]](https://github.com/sseung0703/GALA_TF2.0)
  
- **CommunityGAN: Community Detection with Generative Adversarial Nets (ArXiv 2019)**
  - Yuting Jia, Qinqin Zhang, Weinan Zhang, Xinbing Wang
  - [[Paper]](https://arxiv.org/abs/1901.06631)
  - [[Python Reference]](https://github.com/SamJia/CommunityGAN)
  
- **Learning to Identify High Betweenness Centrality Nodes from Scratch: A Novel Graph Neural Network Approach (CIKM 2019)**
  - Changjun Fan, Li Zeng, Yuhui Ding, Muhao Chen, Yizhou Sun, Zhong Liu
  - [[Paper]](https://arxiv.org/abs/1905.10418v4)
  - [[Python Reference]](https://github.com/FFrankyy/DrBC)
  
- **Unsupervised Community Detection with Modularity-Based Attention Model (ArXiv 2019)**
  - Ivan Lobov, Sergey Ivanov
  - [[Paper]](https://arxiv.org/abs/1905.10350v1)
  - [[Python Reference]](https://github.com/Ivanopolo/modnet)
  
- **An Adaptive Graph Learning Method Based on Dual Data Representations for Clustering (Pattern Recognition 2018)**
  - Tianchi Liu, Chamara Kasun, Liyanaarachchi Lekamalage Guang-Bin Huang, and Zhiping Lin
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0031320317304880)
  - [[Matlab Reference]](https://github.com/liut0012/ELM-CLR)

- **Improving the Efficiency and Effectiveness of Community Detection via Prior-Induced Equivalent Super-Network (Scientific Reports 2017)**
  - Liang Yang, Di Jin, Dongxiao He, Huazhu Fu, Xiaochun Cao, and Francoise Fogelman-Soulie
  - [[Paper]](http://yangliang.github.io/pdf/sr17.pdf)
  - [[Python Reference]](http://yangliang.github.io/code/SUPER.zip)
  
- **MGAE: Marginalized Graph Autoencoder for Graph Clustering (CIKM 2017)**
  - Chun Wang, Shirui Pan, Guodong Long, Xingquabn Zhu, and Jing Jiang
  - [[Paper]](https://dl.acm.org/citation.cfm?id=3132967)
  - [[Matlab Reference]](https://github.com/FakeTibbers/MGAE)
  
- **Graph Clustering with Dynamic Embedding (Arxiv 2017)**
  - Carl Yang, Mengxiong Liu, Zongyi Wang, Liyuan Liu, Jiawei Han
  - [[Paper]](https://arxiv.org/abs/1712.08249)
  - [[Python Reference]](https://github.com/yangji9181/GRACE)
  
- **Modularity based Community Detection with Deep Learning (IJCAI 2016)**
  - Liang Yang, Xiaochun Cao, Dongxiao He, Chuan Wang, Xiao Wang, and Weixiong Zhan
  - [[Paper]](http://yangliang.github.io/pdf/ijcai16.pdf)
  - [[Python Reference]](http://yangliang.github.io/code/DC.zip)
  
- **Learning Deep Representations for Graph Clustering (AAAI 2014)**
  - Fei Tian, Bin Gao, Qing Cui, Enhong Chen, and Tie-Yan Liu
  - [[Paper]](https://www.aaai.org/ocs/index.php/AAAI/AAAI14/paper/view/8527)
  - [[Python Reference]](https://github.com/quinngroup/deep-representations-clustering)
  - [[Python Alternative]](https://github.com/zepx/graphencoder)
