## Matrix Factorization

- **Local Community Detection in Multiple Networks (KDD 2020)**
  - Yuchen Bian, Yaowei Yan, Xiao Liu, Jun Huan, Xiang Zhang 
  - [[Paper]](http://personal.psu.edu/dul262/RWM/RWM.pdf)
  - [[C++ Reference]](https://github.com/flyingdoog/RWM)

- **LouvainNE: Hierarchical Louvain Method for High Quality and Scalable Network Embedding (WSDM 2020)**
  - Ayan Kumar Bhowmick, Koushik  Meneni, Maximilien  Danisch, Jean Loup Guillaume, Bivas  Mitra
  - [[Paper]](https://dl.acm.org/doi/pdf/10.1145/3336191.3371800)
  - [[C Reference]](https://github.com/maxdan94/LouvainNE)
  
- **Gromov-Wasserstein Factorization Models for Graph Clustering (AAAI 2020)**
  - Hongteng Xu
  - [[Paper]](https://arxiv.org/abs/1911.08530)
  - [[Python Reference]](https://github.com/HongtengXu/Relational-Factorization-Model)

- **Graph Embedding with Self-Clustering (ASONAM 2019)**
  - Benedek Rozemberczki, Ryan Davies, Rik Sarkar, and Charles Sutton
  - [[Paper]](https://arxiv.org/abs/1802.03997)
  - [[Python Reference]](https://github.com/benedekrozemberczki/GEMSEC)
  
- **Bridging the Gap between Community and Node Representations: Graph Embedding via Community Detection (IEEE Big Data 2019)**
  - Artem Lutov, Dingqi Yang, Philippe Cudré-Mauroux
  - [[Paper]](https://arxiv.org/abs/1912.08808v1)
  - [[Python Reference]](https://github.com/eXascaleInfolab/GraphEmbEval)
    
- **Graph Constraint-Based Robust Latent Space Low-Rank and Sparse Subspace Clustering (Neural Computing and Applications 2019)**
  - Yunjun Xiao, Jia Wei, Jiabing Wang, Qianli Ma, Shandian Zhe, and Tolga Tasdizen 
  - [[Paper]](https://link.springer.com/article/10.1007/s00521-019-04317-3)
  - [[Python Reference]](https://github.com/xiaoxuegou/Graph-constraint-based-robust-latent-space-low-rank-and-sparse-subspace-clustering)
  
- **Consistency Meets Inconsistency: A Unified Graph Learning Framework for Multi-view Clustering (ICDM 2019)**
  - Youwei Liang, Dong Huang, and Chang-Dong Wang
  - [[Paper]](https://youweiliang.github.io/files/consistent_graph_learning.pdf)
  - [[Matlab Reference]](https://github.com/youweiliang/ConsistentGraphLearning)
  
- **Discrete Overlapping Community Detection with Pseudo Supervision (ICDM 2019)**
  -  Fanghua Ye, Chuan Chen, Zibin Zheng, Rong-Hua Li, Jeffrey Xu Yu 
  - [[Paper]](https://youweiliang.github.io/files/consistent_graph_learning.pdf)
  - [[Matlab Reference]](https://ieeexplore.ieee.org/abstract/document/8970691)

- **GMC: Graph-based Multi-view Clustering (TKDE 2019)**
  - Hao Wang, Yan Yang, Bing Liu
  - [[Paper]](https://www.researchgate.net/publication/331602096_GMC_Graph-based_Multi-view_Clustering)
  - [[Matlab Reference]](https://github.com/cshaowang/gmc)
  
- **Embedding-based Silhouette Community Detection (Arxiv 2019)**
  - Blaž Škrlj, Jan Kralj, Nada Lavrač
  - [[Paper]](https://arxiv.org/abs/1908.02556)
  - [[Python Reference]](https://arxiv.org/abs/1908.02556)

- **Knowledge Graph Enhanced Community Detection and Characterization (WSDM 2019)**
  - Shreyansh Bhatt, Swati Padhee, Amit Sheth, Keke Chen ,Valerie Shalin, Derek Doran, and Brandon Minnery 
  - [[Paper]](https://dl.acm.org/authorize.cfm?key=N676882)
  - [[Java Reference]](https://github.com/shreyanshbhatt/KnowledgeGraph_in_CommunityDetection)
  
- **Discrete Optimal Graph Clustering (IEEE Cybernetics 2019)**
  - Yudong Han, Lei Zhu, Zhiyong Cheng, Jingjing Li, Xiaobai Liu
  - [[Paper]](https://arxiv.org/abs/1904.11266)
  - [[Matlab Reference]](https://github.com/christinecui/DOGC)
  
- **Total Variation Based Community Detection Using a Nonlinear Optimization Approach (Arxiv 2019)**
  - Andrea Cristofari, Francesco Rinaldi, Francesco Tudisco
  - [[Paper]](https://arxiv.org/abs/1907.08048)
  - [[C++ Reference]](https://github.com/acristofari/fast-atvo)
  
- **vGraph: A Generative Model for Joint Community Detection and Node Representation Learning (NeurIPS 2019)**
  - Fan-Yun Sun, Meng Qu, Jordan Hoffmann, Chin-Wei Huang, Jian Tang
  - [[Paper]](https://arxiv.org/abs/1906.07159)
  - [[Python Reference]](https://github.com/aniket-agarwal1999/vGraph-Pytorch)
  
- **Deep Autoencoder-like Nonnegative Matrix Factorization for Community Detection (CIKM 2018)**
  - Fanghua Ye, Chuan Chen, and Zibin Zheng
  - [[Paper]](https://smartyfh.com/Documents/18DANMF.pdf)
  - [[Python Reference]](https://github.com/benedekrozemberczki/DANMF)
  - [[Matlab Reference]](https://github.com/smartyfh/DANMF)

- **Adaptive Community Detection Incorporating Topology and Content in Social Networks (Knowledge-Based Systems 2018)**
  - Qin Meng, Jin Di, Lei Kai, Bogdan Gabrys, Katarzyna, Musial-Gabrys
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0950705118303885?dgcid=coauthor)
  - [[Matlab Reference]](https://github.com/KuroginQin/ASCD)

- **Learning Latent Factors for Community Identification and Summarization (IEEE Access 2018)**
  - Tiantian He, Lun Hu, Keith C. C. Chan, and Pengwei Hu 
  - [[Paper]](https://ieeexplore.ieee.org/document/8374421)
  - [[Executable Reference]](https://github.com/he-tiantian/LFCIS)
  
- **Bayesian Robust Attributed Graph Clustering: Joint Learning of Partial Anomalies and Group Structure (AAAI 2018)**
  - Aleksandar Bojchevski and Stephan Günnemann
  - [[Paper]](https://www.aaai.org/ocs/index.php/AAAI/AAAI18/paper/viewFile/16363/16542)
  - [[Python Reference]](https://github.com/abojchevski/paican)
  
- **A Poisson Gamma Probabilistic Model for Latent Node-group Memberships in Dynamic Networks (AAAI 2018)**
  - Sikun Yang and Heinz Koeppl
  - [[Paper]](https://arxiv.org/pdf/1805.11054.pdf)
  - [[C Reference]](https://github.com/stephenyang/dynamic-Edge-Partition-Models)
  
- **Sentiment-driven Community Profiling and Detection on Social Media (ACM HSM 2018)**
  - Amin Salehi, Mert Ozer, and Hasan Davulcu
  - [[Paper]](https://arxiv.org/pdf/1810.06917v1.pdf)
  - [[Matlab Reference]](https://github.com/amin-salehi/GSNMF)
  
- **TNE: A Latent Model for Representation Learning on Networks (Arxiv 2018)**
  - Abdulkadir Çelikkanat and Fragkiskos D. Malliaros 
  - [[Paper]](https://arxiv.org/pdf/1611.06645.pdf)
  - [[Python Reference]](https://github.com/abdcelikkanat/TNE)
  
- **Non-Linear Attributed Graph Clustering by Symmetric NMF with PU Learning (Arxiv 2018)**
  - Seiji Maekawa, Koh Takeuch, Makoto Onizuka
  - [[Paper]](https://arxiv.org/abs/1810.00946)
  - [[Python Reference]](https://github.com/seijimaekawa/NAGC)
  
- **Adaptive Affinity Learning for Accurate Community Detection (ICDM 2018)**
  - Fanghua Ye, Shenghui Li, Zhiwei Lin, Chuan Chen, Zibin Zheng 
  - [[Paper]](https://ieeexplore.ieee.org/abstract/document/8594997)
  - [[Matlab Reference]](https://github.com/smartyfh/AANMF)
  
- **A Nonnegative Matrix Factorization Approach for Multiple Local Community Detection (ASONAM 2018)**
  - Dany Kamuhanda and Kun He
  - [[Paper]](https://www.researchgate.net/publication/326208243_A_Nonnegative_Matrix_Factorization_Approach_for_Multiple_Local_Community_Detection)
  - [[Python Reference]](https://github.com/danison2/MLC-code)
  
- **Community Preserving Network Embedding (AAAI 17)**
  - Xiao Wang, Peng Cui, Jing Wang, Jain Pei, WenWu Zhu, Shiqiang Yang
  - [[Paper]](https://aaai.org/ocs/index.php/AAAI/AAAI17/paper/view/14589/13763)
  - [[Python Reference]](https://github.com/benedekrozemberczki/M-NMF)
  - [[Matlab Reference]](https://github.com/AnryYang/M-NMF)
  
- **A Non-negative Symmetric Encoder-Decoder Approach for Community Detection (CIKM 17)**
  - Bing-Jie Sun, Huawei Shen, Jinhua Gao, Wentao Ouyang, Xueqi Cheng
  - [[Paper]](http://www.bigdatalab.ac.cn/~shenhuawei/publications/2017/cikm-sun.pdf)
  - [[Python Reference]](https://github.com/benedekrozemberczki/karateclub)
  
- **Self-weighted Multiview Clustering with Multiple Graphs (IJCAI 17)**
  - Feiping Nie, Jing Li, and Xuelong Li
  - [[Paper]](https://www.ijcai.org/proceedings/2017/0357.pdf)
  - [[Matlab Reference]](https://github.com/kylejingli/SwMC-IJCAI17)
  
- **Semi-supervised Clustering in Attributed Heterogeneous Information Networks (WWW 17)**
  - Xiang Li, Yao Wu, Martin Ester, Ben Kao, Xin Wang, and Yudian Zheng
  - [[Paper]](https://dl.acm.org/citation.cfm?id=3052576)
  - [[Python Reference]](https://github.com/wedoso/SCHAIN-NL)
  
- **Learning Community Embedding with Community Detection and Node Embedding on Graph (CIKM 2017)**
  - Sandro Cavallari, Vincent W. Zheng, Hongyun Cai, Kevin Chen-Chuan Chang, and Erik Cambria
  - [[Paper]](http://sentic.net/community-embedding.pdf)
  - [[Python Reference]](https://github.com/andompesta/ComE)
  
- **Cross-Validation Estimate of the Number of Clusters in a Network (Scientific Report 2017)**
  - Matsuro Kawamoto and Yoshiyuki Kabashima
  - [[Paper]](https://arxiv.org/abs/1605.07915)
  - [[Julia Reference]](https://github.com/tatsuro-kawamoto/graphBIX)
  
- **Comparative Analysis on the Selection of Number of Clusters in Community Detection (ArXiv 2017)**
  - Matsuro Kawamoto and Yoshiyuki Kabashima
  - [[Paper]](https://arxiv.org/abs/1606.07668)
  - [[Julia Reference]](https://github.com/tatsuro-kawamoto/graphBIX)
  
- **Subspace Based Network Community Detection Using Sparse Linear Coding (TKDE 2016)**
  - Arif Mahmood and Michael Small 
  - [[Paper]](https://ieeexplore.ieee.org/document/7312985)
  - [[Python Reference]](https://github.com/DamonLiuTHU/Subspace-Based-Network-Community-Detection-Using-Sparse-Linear-Coding)
  
- **Joint Community and Structural Hole Spanner Detection via Harmonic Modularity (KDD 2016)**
  - Lifang He, Chun-Ta Lu, Jiaqi Mu, Jianping Cao, Linlin Shen, and Philip S Yu
  - [[Paper]](https://www.kdd.org/kdd2016/papers/files/rfp1184-heA.pdf)
  - [[Python Reference]](https://github.com/LifangHe/KDD16_HAM)
  
- **Community Detection via Fused Loadings Principal Component Analysis (2016)**
  - Richard Samworth, Yang Feng, and Yi Yu
  - [[R Reference]](https://github.com/cran/FusedPCA)

- **Feature Extraction via Multi-view Non-negative Matrix Factorization with Local Graph Regularization (IEEE ICIP 2015)**
  - Zhenfan Wang, Xiangwei Kong, Hiayan Fu, Ming Li, and Yujia Zhang
  - [[Paper]](https://ieeexplore.ieee.org/document/7351455)
  - [[Matlab Reference]](https://github.com/DUT-DIPLab/Graph-Multi-NMF-Feature-Clustering)
  
- **A Uniﬁed Semi-Supervised Community Detection Framework Using Latent Space Graph Regularization (IEEE TOC 2015)**
  - Liang Yang, Xiaochun Cao, Di Jin, Xiao Wang, and Dan Meng
  - [[Paper]](http://yangliang.github.io/pdf/06985550.pdf)
  - [[Matlab Reference]](http://yangliang.github.io/code/LSGR.rar)
  
- **Community Detection via Measure Space Embedding (NIPS 2015)**
  - Yulong Pei, Nilanjan Chakraborty, and Katia Sycara
  - [[Paper]](https://papers.nips.cc/paper/5808-community-detection-via-measure-space-embedding.pdf)
  - [[Python Reference]](https://github.com/komarkdev/der_graph_clustering)
  
- **Nonnegative Matrix Tri-Factorization with Graph Regularization for Community Detection in Social Networks (IJCAI 2015)**
  - Mark Kozdoba and Shie Mannor
  - [[Paper]](https://www.ijcai.org/Proceedings/15/Papers/295.pdf)
  - [[Python Reference]](https://github.com/yunhenk/NMTF)
  
- **Community Detection for Clustered Attributed Graphs via a Variational EM Algorithm (Big Data 2014)**
  - Xiangyong Cao, Xiangyu Chang, and Zongben Xu
  - [[Paper]](https://dl.acm.org/citation.cfm?id=2644179)
  - [[Matlab Reference]](https://github.com/xiangyongcao/Variational-EM-for-Community-Detection)
  
- **Improved Graph Clustering (Transactions on Information Network Theory 2014)**
  - Yudong Chen, Sujay Sanghavi, Huan Xu 
  - [[Paper]](https://ieeexplore.ieee.org/document/6873307)
  - [[Matlab Reference]](https://github.com/sara-karami/improved_graph_clustering)
  
- **Overlapping Community Detection at Scale: a Nonnegative Matrix Factorization Approach (WSDM 2013)**
  - Jaewon Yang and Jure Leskovec
  - [[Paper]](http://i.stanford.edu/~crucis/pubs/paper-nmfagm.pdf)
  - [[C++ Reference]](https://github.com/snap-stanford/snap/tree/master/examples/bigclam)
  - [[Java Spark Reference]](https://github.com/thangdnsf/BigCLAM-ApacheSpark)
  - [[Python Reference]](https://github.com/benedekrozemberczki/karateclub)
  - [[Python Reference]](https://github.com/RobRomijnders/bigclam)
  - [[Python Reference]](https://github.com/jeremyzhangsq/map-reduce-bigclam)  
  
- **On the Statistical Detection of Clusters in Undirected Networks (Computation Statistics and Data Analysis 2013)**
  - Marcus B. Perry, Gregory V. Michaelson, M. Allan Ballard
  - [[Paper]](https://dl.acm.org/citation.cfm?id=2750189)
  - [[C++ Reference]](https://github.com/alanballard/Likelihood-Based-Directed-Network-Clustering)
  
- **Symmetric Nonnegative Matrix Factorization for Graph Clustering (SDM 2012)**
  - Da Kuang, Chris Ding, and Haesun Park
  - [[Paper]](https://www.cc.gatech.edu/~hpark/papers/DaDingParkSDM12.pdf)
  - [[Matlab Reference]](https://github.com/dakuang/symnmf)
  
- **A Model-based Approach to Attributed Graph Clustering (SIGMOID 2012)**
  - Zhiqiang Xu, Yiping Ke, Yi Wang, Hong Cheng, and James Cheng
  - [[Paper]](http://www-std1.se.cuhk.edu.hk/~hcheng/paper/BAGC_sigmod12.pdf)
  - [[Matlab Reference]](https://github.com/zhiqiangxu2001/BAGC)
  
- **Overlapping Community Detection Using Bayesian Non-negative Matrix Factorization (Physical Review E 2011)**
  - Ionnis Psorakis, Stephen Roberts, Mark Ebden, and Ben Sheldon
  - [[Paper]](http://www.orchid.ac.uk/eprints/38/1/PRE_NMF.pdf)
  - [[Matlab Reference]](https://github.com/ipsorakis/commDetNMF)
