## Label Propagation, Percolation and Random Walks

- **Nonlinear Diffusion for Community Detection and Semi-Supervised Learning (WWW 2019)**
  - Rania Ibrahim, David F. Gleich
  - [[Paper]](https://dl.acm.org/doi/10.1145/3308558.3313483)
  - [[Python Reference]](https://github.com/RaniaSalama/Nonlinear_Diffusion)

- **Community Detection in Bipartite Networks by Multi Label Propagation Algorithm (JSAI 2019)**
  - Hibiki Taguchi, Tsuyoshi Murata
  - [[Paper]](https://confit.atlas.jp/guide/event/jsai2019/subject/4B2-J-3-02/detail)
  - [[Python Reference]](https://github.com/hbkt/BiMLPA)
  
- **Constrained Local Graph Clustering by Colored Random Walk (WWW 2019)**
  - Yaowei Yan, Yuchen Bian, Dongsheng Luo, Dongwon Lee and Xiang Zhang
  - [[Paper]](http://pike.psu.edu/publications/www19.pdf)
  - [[Matlab Reference]](https://github.com/yanyaw/colored-random-walk)

- **Dynamic Graph-Based Label Propagation for Density Peaks Clustering (Expert Systems 2019)**
  - Seyed Amjad Seyedi, Abdulrahman Lotfi, Parham Moradi and Nooruldeen Nasih Qader
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0957417418304998?via%3Dihub)
  - [[Matlab Reference]](https://github.com/amjadseyedi/DPC-DLP)

- **Community Detection by Information Flow Simulation (ArXiv 2018)**
  - Rajagopal Venkatesaramani and Yevgeniy Vorobeychik 
  - [[Paper]](https://arxiv.org/abs/1805.04920)
  - [[Python Reference]](https://github.com/rajagopalvenkat/Community_Detection-Flow_Simulation)

- **Network Community-Based Model Reduction for Vortical Flows (Physical Review E, 2018.)**
  - Muralikrishnan Gopalakrishnan Meena, Aditya G. Nair, and Kunihiko Taira
  - [[Paper]](https://journals.aps.org/pre/abstract/10.1103/PhysRevE.97.063103)
  - [[Matlab Reference]](https://github.com/nairaditya/Vortical-community-detection)

- **Multiple Local Community Detection (ACM SIGMETRICS 2017)**
  - Alexandre Hollocou, Thomas Bonald, and Marc Lelarge
  - [[Paper]](https://hal.archives-ouvertes.fr/hal-01625444)
  - [[Python Reference]](https://github.com/ahollocou/multicom)
  
- **Krylov Subspace Approximation for Local Community Detection in Large Networks (ArXiv 2017)**
  - Kun He, Pan Shi, David Bindel, and John E. Hopcroft
  - [[Paper]](https://arxiv.org/pdf/1712.04823.pdf)
  - [[Matlab Reference]](https://github.com/PanShi2016/LOSP_Plus)
  
- **Many Heads are Better than One: Local Community Detection by the Multi-Walker Chain (ICDM 2017)**
  - Yuchen Bian, Jingchao Ni, Wei Cheng, and Zhang Xiang
  - [[Paper]](https://ieeexplore.ieee.org/document/8215474)
  - [[C++ Reference]](https://github.com/flyingdoog/MWC)

- **Improving PageRank for Local Community Detection (ArXiv 2016)**
  - Alexandre Hollocou, Thomas Bonald, and Marc Lelarge
  - [[Paper]](https://arxiv.org/abs/1610.08722)
  - [[C Reference]](https://github.com/ahollocou/walkscan)
  - [[Python Reference]](https://github.com/ahollocou/walkscan)
  
- **Limited Random Walk Algorithm for Big Graph Data Clustering (Journal of Big Data 2016)**
  - Honglei Zhang, Jenni Raitoharju, Serkan Kiranyaz, and Moncef Gabbouj
  - [[Paper]](https://arxiv.org/abs/1606.06450)
  - [[C++ Reference]](https://github.com/harleyzhang/LRW)
  
- **Community Detection Based on Structure and Content: A Content Propagation Perspective (ICDM 2015)**
  - Liyuan Liu, Linli Xu, Zhen Wang, and Enhong Chen 
  - [[Paper]](https://liyuanlucasliu.github.io/pdf/Liyuan-Liu-ICDM.pdf)
  - [[Matlab Reference]](https://github.com/LiyuanLucasLiu/Content-Propagation)
  
- **Modeling Community Detection Using Slow Mixing Random Walks (IEEE Big Data 2015)**
  - Ramezan Paravi, Torghabeh Narayana, and Prasad Santhanam
  - [[Paper]](https://ieeexplore.ieee.org/abstract/document/7364008)
  - [[Python Reference]](https://github.com/paravi/MarovCommunity)
  
- **GossipMap: A Distributed Community Detection Algorithm for Billion-Edge Directed Graphs (SC 2015)**
  - Seung-Hee Bae and Bill Howe
  - [[Paper]](https://dl.acm.org/citation.cfm?id=2807668)
  - [[C++ Reference]](https://github.com/uwescience/GossipMap)
  
- **Scalable Detection of Statistically Significant Communities and Hierarchies, Using Message Passing for Modularity (PNAS 2014)**
  - Pan Zhang and Cristopher Moore
  - [[Paper]](https://www.pnas.org/content/111/51/18144)
  - [[Python]](https://github.com/weberfm/belief_propagation_community_detection)

- **Overlapping Community Detection Using Seed Set Expansion (CIKM 2013)**
  - Joyce Jiyoung Whang, David F. Gleich, and Inderjit S. Dhillon
  - [[Paper]](http://www.cs.utexas.edu/~inderjit/public_papers/overlapping_commumity_cikm13.pdf)
  - [[Python Reference]](https://github.com/pratham16/community-detection-by-seed-expansion)
  
- **Influence-Based Network-Oblivious Community Detection (ICDM 2013)**
  - Nicola Barbieri, Francesco Bonchi, and Giuseppe Manco 
  - [[Paper]](https://ieeexplore.ieee.org/stamp/stamp.jsp?arnumber=6729581)
  - [[Java  Reference]](https://github.com/gmanco/cwn)
 
- **SLPA: Uncovering Overlapping Communities in Social Networks via A Speaker-listener Interaction Dynamic Process (ICDMW 2011)**
  - Jierui Xie, Boleslaw K Szymanski, and Xiaoming Liu
  - [[Paper]](https://arxiv.org/pdf/1109.5720.pdf)
  - [[Java Reference]](https://github.com/sebastianliu/SLPA-community-detection)
  - [[Python Reference]](https://github.com/kbalasu/SLPA)
  - [[C++ Reference]](https://github.com/arminbalalaie/graphlab-slpa)
 
- **On the Generation of Stable Communities of Users for Dynamic Mobile Ad Hoc Social Networks (IEEE ICOIN 2011)**
  - Guillaume-Jean Herbiet and Pascal Bouvry
  - [[Paper]](https://herbiet.gforge.uni.lu/research.html)
  - [[Java Reference]](https://github.com/gjherbiet/gs-sharc)
  
- **Layered Label Propagation:A Multi-Resolution Coordinate-Free Ordering for Compressing Social Networks Categories and Subject Descriptors (WWW 2011)**
  - Paolo Boldi, Marco Rosa, Massimo Santini, and Sebastiano Vigna
  - [[Paper]](http://ra.ethz.ch/CDstore/www2011/proceedings/p587.pdf)
  - [[Java Reference]](https://github.com/Mohammad-Rahmdel/Layered_Label_Propagation)
  
- **SHARC: Community-Based Partitioning for Mobile Ad Hoc Networks Using Neighborhood Similarity (IEEE WoWMoM 2010)**
  - Guillaume-Jean Herbiet and Pascal Bouvry
  - [[Paper]](https://herbiet.gforge.uni.lu/research.html)
  - [[Java Reference]](https://github.com/gjherbiet/gs-sharc)
  
- **Mapping Change in Large Networks (Plos One 2010)**
  - Rosvall M, Bergstrom 
  - [[Paper]](https://github.com/mapequation/significance-clustering)
  - [[C++ Reference]](https://journals.plos.org/plosone/article?id=10.1371/journal.pone.0008694)
  
- **Graph Clustering Based on Structural/Attribute Similarities (WSDM 2009)**
  - Yang Zhou, Hong Cheng, Jeffrey Xu Yu
  - [[Paper]](http://www.vldb.org/pvldb/2/vldb09-175.pdf)
  - [[Python Reference]](https://github.com/zhanghuijun-hello/Graph-Clustering-Based-on-Structural-Attribute-Similarities-)
  
- **Bridge Bounding: A Local Approach for Efficient Community Discovery in Complex Networks (ArXiv 2009)**
  - Symeon Papadopoulos, Andre Skusa, Athena Vakali, Yiannis Kompatsiaris, and Nadine Wagner
  - [[Paper]](https://arxiv.org/abs/0902.0871)
  - [[Java Reference]](https://github.com/kleinmind/bridge-bounding)
  
- **The Map Equation (The European Physical Journal Special Topics 2009)**
  - Martin Rossvall, Daniel Axelsson, and Carl T Bergstrom
  - [[Paper]](https://arxiv.org/abs/0906.1405)
  - [[R Reference]](igraph.org/r/doc/cluster_infomap.html)
  - [[C Reference]](http://igraph.org/c/)
  - [[Python Reference]](https://github.com/Tavpritesh/MapEquation)
  
- **Biclique Communities (Physical Review E  2008)**
  - Sune Lehmann, Martin Schwartz, and Lars Kai Hansen
  - [[Paper]](https://www.researchgate.net/publication/23230281_Biclique_communities)
  - [[R Reference]](https://github.com/hecking/bipartite_community_detection)
  
- **Near Linear Time Algorithm to Detect Community Structures in Large-Scale Networks (Physical Review E 2008)**
  - Usha Nandini Raghavan, Reka Albert, Soundar Kumara
  - [[Paper]](https://arxiv.org/abs/0709.2938)
  - [[Python Reference]](https://github.com/benedekrozemberczki/karateclub)
  - [[Python Reference]](https://github.com/benedekrozemberczki/LabelPropagation)
  - [[C++ Reference]](https://github.com/carlosmata/LabelPropagation)

- **Chinese Whispers: an Efficient Graph Clustering Algorithm and its Application to Natural Language Processing Problems (HLT 2006)**
  - Chris Biemann
  - [[Paper]](http://www.aclweb.org/anthology/W06-3812)
  - [[Python Reference]](https://github.com/sanmayaj/ChineseWhispers)
  - [[Python Alternative]](https://github.com/nlpub/chinese-whispers-python)
  
- **Uncovering the Overlapping Community Structure of Complex Networks in Nature and Society  (Nature 2005)**
  - Gergely Palla, Imre Derenyi, Illes Farkas, Tamas Vicsek
  - [[Paper]](https://www.researchgate.net/publication/7797121_Uncovering_the_overlapping_community_structure_of_complex_networks_in_nature_and_society)
  - [[Python Reference]](https://github.com/nhanwei/k_clique_percolation_spark)
  
- **An Efficient Algorithm for Large-scale Detection of Protein Families (Nucleic Acids Research 2002)**
  - Anton Enright, Stijn Van Dongen, and Christos Ouzounis
  - [[Paper]](https://academic.oup.com/nar/article/30/7/1575/2376029)
  - [[Python Reference]](https://github.com/HarshHarwani/markov-clustering-for-graphs)
  - [[Python Reference]](https://github.com/lucagiovagnoli/Markov_clustering-Graph_API)
