  
## Others

- **A Novel Density-based Clustering Algorithm Using Nearest Neighbor Graph (Pattern Recognition 2020)**
  - Hao Li, Xiaojie Liu, Tao Li, and Rundong Gan
  - [[Paper]](https://www.sciencedirect.com/science/article/abs/pii/S0031320320300121?via%3Dihub)
  - [[Python Reference]](https://github.com/tommylee3003/SDBSCAN)
  
- **An Evolutionary Multiobjective Optimization Based Fuzzy Method for Overlapping Community Detection (IEEE Transactions on Fuzzy Systems 2019)**
  -  Ye Tian, Shangshang Yang, and Xingyi Zhang 
  - [[Paper]](https://ieeexplore.ieee.org/abstract/document/8855008)
  - [[Matlab Reference]](https://github.com/DevilYangS/EMOFM)
  
- **Correlation Clustering with Same-Cluster Queries Bounded by Optimal Cost (European Symposium on Algorithms 2019)**
  - Barna Saha, Sanjay Subramanian
  - [[Paper]](https://arxiv.org/abs/1908.04976)
  - [[Python Reference]](https://github.com/sanjayss34/corr-clust-query-esa2019)
  
- **Parallel Conical Area Community Detection Using Evolutionary Multi-Objective Optimization (MDPI Processes 2019)**
  - Weiqin Ying, Hassan Jalil, Bingshen Wu, Yu Wu, Zhenyu Ying, Yucheng Luo, and ZhenYu Wang 
  - [[Paper]](https://www.mdpi.com/2227-9717/7/2/111)
  - [[C++ Reference]](https://github.com/wu-binson/Cacd)

- **Ensemble Clustering for Graphs: Comparisons and Applications (Applied Network Science 2019)**
  - Valérie Poulin and François Théberge
  - [[Paper]](https://arxiv.org/abs/1809.05578)
  - [[Python Reference]](https://github.com/ftheberge/Ensemble-Clustering-for-Graphs)

- **CutESC: Cutting Edge Spatial Clustering Technique based on Proximity Graphs (Knowledge-Based Systems 2019)**
  - Alper Aksac, Tansel Özyer, Reda Alhajja
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0031320319302468)
  - [[Python Reference]](https://github.com/alperaksac/cutESC)

- **A Study of Graph-based System for Multi-view Clustering (Knowledge-Based Systems 2019)**
  - Hao Wang, Yan Yang, BingLiu, Hamido Fujita
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0950705118305082)
  - [[Python Reference]](https://github.com/cswanghao/gbs)

- **Learning Resolution Parameters for Graph Clustering (WWW 2019)**
  - Nate Veldt, David Gleich, Anthony Wirth
  - [[Paper]](https://arxiv.org/abs/1903.05246)
  - [[Julia Reference]](https://github.com/nveldt/LearnResParams)

- **Multiview Consensus Graph Clustering (IEEE TIP 2019)**
  - Kun Zhan and Feiping Nie and Jing Wang and Yi Yang
  - [[Paper]](https://www.ncbi.nlm.nih.gov/pubmed/30346283)
  - [[Matlab Reference]](https://github.com/kunzhan/MCGC)
  
- **CutESC: Cutting Edge Spatial Clustering Technique based on Proximity Graphs (Knowledge-Based Systems 2019)**
  - Alper Aksac, Tansel Özyer, Reda Alhajja
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0031320319302468)
  - [[Python Reference]](https://github.com/alperaksac/cutESC)
  
- **Evaluating Overfit and Underfit in Models of Network Community Structure (Arxiv 2018)**
  - Amir Ghasemian, Homa Hosseinmardi, Aaron Clauset
  - [[Paper]](https://arxiv.org/abs/1802.10582v3)
  - [[Python Reference]](https://github.com/AGhasemian/CommunityFitNet)
  
- **Memetic Graph Clustering (Symposium on Experimental Algorithms 2018)**
  - Sonja Biedermann, Monika Henzinger, Christian Schulz, Bernhard Schuster
  - [[Paper]](https://arxiv.org/abs/1802.07034)
  - [[C++ Reference]](https://github.com/VieClus/VieClus)
  
- **Clubmark - Bench bencmarking Framework for the Clustering Algorithms Evaluation (ICDM 2018)**
  - Artem Lutov, Mourad Khayati, Philippe Cudre-Mauroux
  - [[Paper]](https://github.com/eXascaleInfolab/clubmark/blob/master/docs/clubmark.pdf)
  - [[Python Reference]](https://github.com/eXascaleInfolab/clubmark/tree/master/algorithms)
  
- **The Difference Between Optimal and Germane Communities (Social Network Analysis and Mining 2018)**
  - Jerry Scripps, Christian TrefftzZachary Kurmas
  - [[Paper]](https://link.springer.com/article/10.1007/s13278-018-0522-1)
  - [[Java Reference]](https://cis.gvsu.edu/~scrippsj/pubs/software.htm)

- **Discovering Fuzzy Structural Patterns for Graph Analytics (IEEE TFS 2018)**
  - Tiantian He  and Keith C. C. Chan 
  - [[Paper]](https://ieeexplore.ieee.org/document/8253904)
  - [[Executable Reference]](https://github.com/he-tiantian/FSPGA)
  
- **Wiring Together Large Single-Cell RNA-Seq Sample Collections (biorxiv 2018)**
  - Nikolas Barkas, Viktor Petukhov, Daria Nikolaeva, Yaroslav Lozinsky, Samuel Demharter, Konstantin Khodosevich, Peter V. Kharchenko
  - [[Paper]](https://www.biorxiv.org/content/10.1101/460246v1)
  - [[C++]](https://github.com/hms-dbmi/conos)
  
- **Watset: Automatic Induction of Synsets for a Graph of Synonyms (ACL 2017)**
  - Dmitry Ustalov, Alexander Panchenko, and Chris Biemann
  - [[Paper]](https://doi.org/10.18653/v1/P17-1145)
  - [[Python Reference]](https://github.com/dustalov/watset)
  - [[Java Reference]](https://github.com/nlpub/watset-java)
  
- **An Overlapping Community Detection Algorithm Based on Density Peaks (NeuroComputing 2017)**
  - Xueying Bai, Peilin Yang, and Xiaohu Shi
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S092523121631400X)
  - [[Matlab Reference]](https://github.com/XueyingBai/An-overlapping-community-detection-algorithm-based-on-density-peaks)
  
- **Fast Heuristic Algorithm for Multi-scale Hierarchical Community Detection (ASONAM 2017)**
  - Eduar Castrillo, Elizabeth León, and Jonatan Gómez
  - [[Paper]](https://arxiv.org/abs/1707.02362)
  - [[C++ Reference]](https://github.com/eduarc/HAMUHI)
  
- **Time Series Clustering via Community Detection in Networks (Information Sciences 2016)**
  - Leonardo N. Ferreira and Liang Zhao
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S002002551500554X)
  - [[R Reference]](https://github.com/lnferreira/time_series_clustering_via_community_detection)
  
- **Community-based Outlier Detection for Edge-attributed Graphs (Arxiv 2016)**
  - Supriya Pandhre, Manish Gupta, Vineeth N Balasubramanian
  - [[Paper]](https://arxiv.org/abs/1612.09435)
  - [[Java Reference]](https://github.com/supriya-gdptl/HCODA)

- **Community Detection in Multi-Partite Multi-Relational Networks Based on Information Compression (New Generation Computing 2016)**
  - Xin Liu, Weichu Liu, Tsuyoshi Murata, and Ken Wakita
  - [[Paper]](https://link.springer.com/article/10.1007/s00354-016-0206-1)
  - [[Scala Reference]](https://github.com/weichuliu/hetero_scala)
  
- **Integration of Graph Clustering with Ant Colony Optimization for Feature Selection (Knowledge-Based Systems 2015)**
  - Parham Moradi, Mehrdad Rostami
  - [[Paper]](http://www.sciencedirect.com/science/article/pii/S0950705115001458)
  - [[Matlab Reference]](https://github.com/XuesenYang/Graph-clustering-with-ant-colony-optimization-for-feature-selection)  

- **Greedy Discrete Particle Swarm Optimization for Large-Scale Social Network Clustering (Information Sciences 2015)**
  - Qing Cai, Maoguo Gong, Lijia Ma, Shasha Ruan, Fuyan Yuan, Licheng Jiao
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0020025514009530)
  - [[C++ Reference]](https://github.com/doctor-cai/GDPSO)

- **Community Detection via Maximization of Modularity and Its Variants (IEEE TCSS 2014)**
  - Mingming Chen, Konstantin Kuzmin, and Boleslaw K. Szymanski 
  - [[Paper]](https://www.cs.rpi.edu/~szymansk/papers/TCSS-14.pdf)
  - [[Python Reference]](https://github.com/itaneja2/community-detection)

- **A Smart Local Moving Algorithm for Large-Scale Modularity-Based Community Detection (The European Physical Journal B 2013)**
  - Ludo Waltman and Nees Jan Van Eck
  - [[Paper]](https://link.springer.com/content/pdf/10.1140/epjb/e2013-40829-0.pdf)
  - [[R Reference]](https://github.com/chen198328/slm)
  - [[Python Reference]](https://github.com/iosonofabio/slmpy)
  
- **Bayesian Hierarchical Community Discovery (NIPS 2013)**
  - Charles Blundell and Yee Whye Teh
  - [[Paper]](http://papers.nips.cc/paper/5048-bayesian-hierarchical-community-discovery.pdf)
  - [[Python Reference]](https://github.com/krzychu/bhcd/)
  - [[C++ Reference]](https://github.com/blundellc/bhcd/)
  
- **Efficient Discovery of Overlapping Communities in Massive Networks (PNAS 2013)**
  - Prem K. Gopalan and David M. Blei
  - [[Paper]](https://www.pnas.org/content/110/36/14534)
  - [[C++ Reference]](https://github.com/premgopalan/svinet)
  
- **Complex Network Clustering by Multiobjective Discrete Particle Swarm Optimization Based on Decomposition (IEEE Trans. Evolutionary Computation 2013)**
  - Maoguo Gong, Qing Cai, Xiaowei Chen, and Lijia Ma
  - [[Paper]](https://ieeexplore.ieee.org/document/6510542?reason=concurrency)
  - [[C++ Reference]](https://github.com/doctor-cai/MODPSO)
  
- **An Efficient and Principled Method for Detecting Communities in Networks (Physical Review E 2011)**
  - Brian Ball, Brian Karrer, M. E. J. Newman
  - [[Paper]](https://arxiv.org/pdf/1104.3590.pdf)
  - [[C++ Reference]](http://www.personal.umich.edu/~mejn/OverlappingLinkCommunities.zip)
  - [[Python Reference]](https://github.com/Zabot/principled_clustering)
