
## Spectral Methods

- **Incorporating User's Preference into Attributed Graph Clustering (Arxiv 2020)**
  - Wei Ye, Dominik Mautz, Christian Boehm, Ambuj Singh, Claudia Plant
  - [[Paper]](https://arxiv.org/abs/2003.11079v1)
  - [[Java Reference]](https://github.com/yeweiysh/LOCLU)

- **Generalized Spectral Clustering via Gromov-Wasserstein Learning (Arxiv 2020)**
  - Samir Chowdhury, Tom Needham
  - [[Paper]](https://arxiv.org/abs/2006.04163)
  - [[Python Reference]](https://github.com/trneedham/Spectral-Gromov-Wasserstein)

- **p-Norm Flow Diffusion for Local Graph Clustering (Arxiv 2020)**
  - Kimon Fountoulakis, Di Wang, Shenghao Yang
  - [[Paper]](https://arxiv.org/abs/2005.09810v2)
  - [[Python Reference]](https://github.com/kfoynt/LocalGraphClustering)

- **Spectral Clustering by Subspace Randomization and Graph Fusion for High-Dimensional Data (PAKDD 2020)**
  - Xiaosha Cai, Dong Huang, Chang-Dong Wang, Chee-Keong Kwoh
  - [[Paper]](https://www.researchgate.net/publication/338864070_Spectral_Clustering_by_Subspace_Randomization_and_Graph_Fusion_for_High-Dimensional_Data)
  - [[Matlab Reference]](https://github.com/huangdonghere/SC-SRGF)
  
- **Spectral Clustering in Heterogeneous Information Networks (AAAI 2019)**
  - Xiang Li, Ben Kao, Zhaochun Ren, Dawei Yin
  - [[Paper]](https://www.aaai.org/ojs/index.php/AAAI/article/view/4328)
  - [[Matlab Reference]](https://github.com/lixiang3776/SClump)
  - [[Python Reference]](https://github.com/ameya98/PySClump)

- **Community Detection Over a Heterogeneous Population of Non-aligned Networks (Arxiv 2019)**
  - Guilherme Gomes, Vinayak Rao, Jennifer Neville
  - [[Paper]](https://arxiv.org/abs/1904.05332)
  - [[Python Reference]](https://github.com/kurtmaia/JointSBM)

- **Spectral Rejection for Testing Hypotheses of Structure in Networks (Arxiv 2019)**
  - Mark D. Humphries, Javier A. Caballero, Mat Evans, Silvia Maggi, Abhinav Singh
  - [[Paper]](https://arxiv.org/abs/1901.04747)
  - [[Matlab Reference]](https://github.com/mdhumphries/NetworkNoiseRejection)
  - [[Python Reference]](https://github.com/thomasjdelaney/Network_Noise_Rejection_Python)

- **Spectral Clustering of Signed Graphs via Matrix Power Means (ICML 2019)**
  - Pedro Mercado, Francesco Tudisco, Matthias Hein
  - [[Paper]](https://arxiv.org/pdf/1905.06230v1.pdf)
  - [[Matlab Reference]](https://github.com/melopeo/SPM)

- **A Unified Framework for Structured Graph Learning via Spectral Constraints (ArXiv 2019)**
  - Sandeep Kumar, Jiaxi Ying, José Vinícius de Miranda Cardoso, and Daniel Palomar
  - [[Paper]](https://arxiv.org/pdf/1904.09792.pdf)
  - [[R Reference]](https://cran.r-project.org/web/packages/spectralGraphTopology/index.html)
  
- **An Ensemble Based on a Bi-objective Evolutionary Spectral Algorithm for Graph Clustering (ArXiv 2018)**
  - Camila P.S. Tautenhain, Mariá C.V. Nascimento
  - [[Paper]](https://arxiv.org/abs/1810.03652)
  - [[C++ Reference]](https://github.com/camilapsan/MOSpecG_SpecG)

- **Hierarchical Community Detection by Recursive Partitioning (ArXiv 2018)**
  - Tianxi Li, Lihua Lei, Sharmodeep Bhattacharyya, Purnamrita Sarkar, Peter J. Bickel, Elizaveta Levina
  - [[Paper]](https://arxiv.org/abs/1810.01509)
  - [[R Reference]](https://github.com/tianxili/HCD)  

- **Scalable Spectral Clustering Using Random Binning Features (KDD 2018)**
  - Lingfei Wu, Pin-Yu Chen, Ian En-Hsu Yen, Fangli Xu, Yinglong Xia, and Charu Aggarwal 
  - [[Paper]](https://arxiv.org/abs/1805.11048)
  - [[Matlab Reference]](https://github.com/IBM/SpectralClustering_RandomBinning)

- **Understanding Regularized Spectral Clustering via Graph Conductance (NIPS 2018)**
  - Yilin Zhang and Karl Rohe
  - [[Paper]](https://arxiv.org/abs/1806.01468)
  - [[Python Reference]](https://github.com/crisbodnar/regularised-spectral-clustering)

- **Locally-Biased Spectral Approximation for Community Detection (Knowledge-Based Systems 2018)**
  - Pan Shi, Kun He, David Bindel, and John Hopcroft
  - [[Paper]](https://pdfs.semanticscholar.org/d9e2/598b261a61c69d970e1c9eab7a50da4e458c.pdf)
  - [[Matlab Reference]](https://github.com/PanShi2016/LBSA)
  
- **Community Detection on Euclidean Random Graphs (Electronic Journal of Statistics 2018)**
  - Abishek Sankararaman and Francois Baccelli
  - [[Paper]](http://abishek90.github.io/CommDet.pdf)
  - [[Python Reference]](https://github.com/abishek90/Community-Detection-on-a-Spatial-Graph)

- **Community Detection by L0-Penalized Graph Laplacian (Electronic Journal of Statistics 2018)**
  - Chong Chen, Ruibin Xi, and Nan Lin
  - [[Paper]](https://projecteuclid.org/euclid.ejs/1528769122)
  - [[Matlab Reference]](https://github.com/ChongC1990/L0Lap)
  
- **Phase Transitions and a Model Order Selection Criterion for Spectral Graph Clustering (IEEE TSP 2018)**
  - Pin-Yu Chen and Alfred O. Hero
  - [[Paper]](https://arxiv.org/abs/1604.03159)
  - [[Python Reference]](https://github.com/tgensol/AMOS)
  
- **An Algorithm J-SC of Detecting Communities in Complex Networks (Physics Letters A 2017)**
  - Fang Hu, Mingzhu Wang, Yanran Wang, Zhehao Hong, and Yanhui Zhu
  - [[Paper]](https://www.sciencedirect.com/science/article/abs/pii/S0375960117308678)
  - [[Matlab reference]](https://github.com/yanhueiju/community_detection_J-SC)

- **Local Lanczos Spectral Approximation for Community Detection (ECML PKDD 2017)**
  - Pan Shi, He Kun, David Bindel, and John Hopcroft
  - [[Paper]](http://ecmlpkdd2017.ijs.si/papers/paperID161.pdf)
  - [[Python Reference]](https://github.com/PanShi2016/LLSA)
  
- **AMOS: An Automated Model Order Selection Algorithm for Spectral Graph Clustering (ICASSP 2017)**
  - Pin-Yu Chen, Thibaut Gensollen, and Alfred O. Hero III 
  - [[Paper]](https://arxiv.org/abs/1609.06457)
  - [[Python Reference]](https://github.com/tgensol/AMOS)
  
- **Enhanced Community Detection in Social Networks Using Active Spectral Clustering (SAC 2016)**
  - Sarah Habashi, Nagia M. Ghanem, and Mohamed A. Ismail
  - [[Paper]](https://dl.acm.org/citation.cfm?id=2851987)
  - [[Matlab Reference]](https://github.com/sarahelhammadi/CDASC)
  
- **Clustering Signed Networks with the Geometric Mean of Laplacians (NIPS 2016)**
  - Pedro Mercado, Francesco Tudisco, and Matthias Hein
  - [[Paper]](http://papers.nips.cc/paper/6164-clustering-signed-networks-with-the-geometric-mean-of-laplacians.pdf)
  - [[Matlab Reference]](https://github.com/melopeo/GM)

- **Spectral Clustering with Graph Filtering and Landmark Based Representation (ICASSP 2016)**
  - Nicolas Tremblay, Gilles Puy, Pierre Borgnat, Rémi Gribonval, and Pierre Vandergheynst
  - [[Paper]](https://arxiv.org/pdf/1509.08863.pdf)
  - [[Python Reference]](https://github.com/cylindricalcow/FastSpectralClustering)

- **Do Logarithmic Proximity Measures Outperform Plain Ones in Graph Clustering? (ICNA 2016)**
  - Vladimir Ivashkin and Pavel Chebotarev
  - [[Paper]](https://arxiv.org/abs/1605.01046)
  - [[Python Reference]](https://github.com/vlivashkin/pygkernels)

- **Uncovering the Small Community Structure in Large Networks: a Local Spectral Approach (WWW 2015)**
  - Li Yixuan, He Kun, David Bindel, and John Hopcroft
  - [[Paper]](https://arxiv.org/abs/1509.07715)
  - [[Python Reference]](https://github.com/YixuanLi/LEMON)
  
- **Large-Scale Multi-View Spectral Clustering via Bipartite Graph (AAAI 2015)**
  - Yeqing Li, Feiping Nie, Heng Huang, and Junzhou Huang
  - [[Paper]](https://pdfs.semanticscholar.org/9383/f08c697b8aa43782e16c9a57e089911584d8.pdf)
  - [[Matlab Reference]](https://github.com/zzz123xyz/MVSC)
  
- **Constructing Robust Affinity Graphs for Spectral Clustering (CVPR 2014)**
  - Xiatian Zhu1, Chen Change Loy, Shaogang Gong
  - [[Paper]](https://www.zpascal.net/cvpr2014/Zhu_Constructing_Robust_Affinity_2014_CVPR_paper.pdf)
  - [[Matlab Reference]](https://github.com/d12306/Constructing-Robust-Affinity-Graphs-for-Spectral-Clustering)
  
- **Self-Taught Spectral Clustering via Constraint Augmentation (SDM 2014)**
  - Xiang Wang, Jun Wang, Buyue Qian, Fei Wang and Ian Davidson
  - [[Paper]](https://epubs.siam.org/doi/pdf/10.1137/1.9781611973440.48)
  - [[Matlab Reference]](https://github.com/gnaixgnaw/CSP)
  
- **Multi-Objective Multi-View Spectral Clustering via Pareto Optimization (SDM 2013)**
  - Xiang Wang, Buyue Qian, Jieping Ye, and Ian Davidson
  - [[Paper]](http://www2.cs.uh.edu/~ceick/DM/P4_DM4.pdf)
  - [[Matlab Reference]](https://github.com/gnaixgnaw/CSP)
  
- **Spectral Redemption: Clustering Sparse Networks (SDM 2013)**
  - Florent Krzakala, Cristopher Moore, Elchanan Mossel, Joe Neeman, Allan Sly, Lenka Zdeborová, Pan Zhang
  - [[Paper]](https://arxiv.org/abs/1306.5550v2)
  - [[Python Reference]](https://github.com/sa7oru/Social-Event-Magnitudes)
  
- **Phase Transition in the Detection of Modules in Sparse Networks (Physical Review Letters 2011)**
  - Aurelien Decelle, Florent Krzakala, Cristopher Moore, and Lenka Zdeborova
  - [[Paper]](https://arxiv.org/abs/1102.1182)
  - [[C++ Reference]](https://github.com/junipertcy/sbm-bp)
  
- **Active Spectral Clustering (ICDM 2010)**
  - Xiang Wang and Ian Davidson
  - [[Paper]](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.299.7661&rep=rep1&type=pdf)
  - [[Matlab Reference]](https://github.com/gnaixgnaw/CSP)

- **Flexible Constrained Spectral Clustering (KDD 2010)**
  - Xiang Wang and Ian Davidson
  - [[Paper]](http://web.cs.ucdavis.edu/~davidson/Publications/rp058d-wang.pdf)
  - [[Matlab Reference]](https://github.com/gnaixgnaw/CSP)
  
- **Spectral Clustering Based on the Graph p-Laplacian (ICML 2009)**
  - Thomas Buhler and  Matthias Hein 
  - [[Paper]](https://www.ml.uni-saarland.de/Publications/BueHei-pSpectralClustering2009.pdf)
  - [[Matlab Reference]](https://github.com/tbuehler/pSpectralClustering)
