## Temporal Methods

- **Co-Regularized Nonnegative Matrix Factorization for Evolving Community Detection in Dynamic Networks (Information Sciences 2020)**
  - Xiaoke Ma, Benhui Zhang, Changzhou Ma, and Zhiyu Ma
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0020025520303388)
  - [[Java Reference]](https://github.com/xkmaxidian/Cr-ENMF)

- **Mining Stable Communities in Temporal Networks by Density-based Clustering (IEEE Big Data 2020)**
  - Hongchao Qin, Rong-Hua Li, Guoren Wang, Xin Huang, Ye Yuan, and Jeffrey Xu Yu 
  - [[Paper]](https://ieeexplore.ieee.org/abstract/document/9001192)
  - [[Python Reference]](https://github.com/VeryLargeGraph/TSCAN)
  
- **Network Communities of Dynamical Influence (Nature Science Reports 2019)**
  - Ruaridh Clark, Giuliano Punzo, Malcolm Macdonald 
  - [[Paper]](https://www.nature.com/articles/s41598-019-53942-4)
  - [[Matlab Reference]](https://github.com/RuaridhClark/comms_dynamical_influence)

- **Detecting Stable Communities in Link Streams at Multiple Temporal Scales (ECML-PKDD 2019)**
  - Souaad Boudebza, Remy Cazabet, Omar Nouali, and Faical Azouaou
  - [[Paper]](https://arxiv.org/pdf/1907.10453.pdf)
  - [[Python Reference]](https://github.com/Yquetzal/ECML_PKDD_2019)
  
- **DynComm R Package - Dynamic Community Detection for Evolving Networks (Arxiv 2019)**
  - Rui Portocarrero Sarmento, Luís Lemos, Mário Cordeiro, Giulio Rossetti, and Douglas Cardoso
  - [[Paper]](https://arxiv.org/abs/1905.01498)
  - [[R Reference]](https://github.com/softskillsgroup/DynComm-R-package)

- **DyPerm: Maximizing Permanence for Dynamic Community Detection (PKDD 2018)**
  - Prerna Agarwal, Richa Verma, Ayush Agarwal, Tanmoy Chakraborty
  - [[Paper]](https://arxiv.org/abs/1802.04593)
  - [[Python Reference]](https://github.com/ayush14029/Dyperm-Code)
  
- **OLCPM: An Online Framework for Detecting Overlapping Communities in Dynamic Social Networks (Computer Communciations, 2018)**
  - Souaad Boudebzaa, Remy Cazabet, Faical Azouaoua, Omar Nouali
  - [[Paper]](https://arxiv.org/pdf/1804.03842.pdf)
  - [[Java Reference]](http://olcpm.sci-web.net)

- **Temporally Evolving Community Detection and Prediction in Content-Centric Networks (ECML 2018)**
  - Ana Paula Appel, Renato L. F. Cunha, Charu C. Aggarwal, and Marcela Megumi Terakado 
  - [[Paper]](https://arxiv.org/pdf/1807.06560v1.pdf)
  - [[Python Reference]](https://github.com/renatolfc/chimera-stf)
  
- **A Streaming Algorithm for Graph Clustering (Arxiv 2017)**
  - Alexandre Hollocou, Julien Maudet, Thomas Bonald and Marc Lelarge
  - [[Paper]](https://arxiv.org/pdf/1712.04337v1.pdf)
  - [[C++ Reference]](https://github.com/ahollocou/graph-streaming)
  
- **DynaMo: Dynamic Community Detection by Incrementally Maximizing Modularity (Arxiv 2017)**
  - Di Zhuang, J. Morris Chang, Mingchen Li
  - [[Paper]](https://arxiv.org/abs/1709.08350)
  - [[Java Reference]](https://github.com/nogrady/dynamo)

- **Model-Based Clustering of Time-Evolving Networks through Temporal Exponential-Family Random Graph Models (Arxiv 2017)**
  - Kevin H. Lee, Lingzhou Xue, and David R. Hunter
  - [[Paper]](https://arxiv.org/abs/1712.07325)
  - [[R Reference]](https://github.com/amalag-19/dynERGM_R)
  
- **Dynamic Community Detection Based on Network Structural Perturbation and Topological Similarity (Journal of Statistical Mechanics 2017)**
  - Peizhuo Wang, Lin Gao and Xiaoke Ma 
  - [[Paper]](https://iopscience.iop.org/article/10.1088/1742-5468/2017/1/013401/meta)
  - [[Matlab Reference]](https://github.com/WPZgithub/ESPRA)
  
- **RDYN⁠: Graph Benchmark Handling Community Dynamics  (Arxiv 2017)**
  - Giulio Rossetti
  - [[Paper]](https://academic.oup.com/comnet/article/5/6/893/3925036)
  - [[Python Reference]](https://github.com/GiulioRossetti/RDyn)
  
- **Sequential Detection of Temporal Communities by Estrangement Confinement (Scientific Reports 2012)**
  - Vikas Kawadia and Sameet Sreenivasan
  - [[Paper]](https://www.nature.com/articles/srep00794)
  - [[Python Reference]](https://github.com/kawadia/estrangement)
  
- **Detection of overlapping communities in dynamical social networks (IEEE SocialCom 2010)**
  - Rémy Cazabet, Frédéric Amblard, Chihab Hanachi
  - [[Paper]](http://cazabetremy.fr/Publications_files/iLCD%20SocialCom%20longVersion.pdf)
  - [[Java Reference]](http://cazabetremy.fr/rRessources/iLCD.html)
  
- **GraphScope: Parameter-Free Mining of Large Time-Evolving Graphs (KDD 2007)**
  - Jimeng Sun, Christos Faloutsos, Spiros Papadimitriou, and Philip S. Yu
  - [[Paper]](https://dl.acm.org/citation.cfm?id=1281266)
  - [[Java Reference]](https://github.com/sarovios/social-graph-cluster)
