## Tensor Decomposition
- **Beyond Rank-1: Discovering Rich Community Structure in Multi-Aspect Graphs (WWW 2020)**
  - Ekta Gujral, Ravdeep Pasricha, Evangelos E. Papalexakis
  - [[Paper]](https://www.cs.ucr.edu/~epapalex/papers/WWW20_RICHCOM.pdf)
  - [[Code]](http://www.cs.ucr.edu/~egujr001/ucr/madlab/src/richcom.zip)

- **t-PINE: Tensor-based Predictable and Interpretable Node Embeddings (ASONAM 2018)**
  - Saba A Al-Sayouri, Ekta Gujral, Danai Koutra, Evangelos E Papalexakis, Sarah S Lam
  - [[Paper]](https://arxiv.org/abs/1805.01889)
  - [[Matlab reference]](http://www.cs.ucr.edu/~egujr001/ucr/madlab/src/Tpine.zip)
  
- **LARC: Learning Activity-Regularized Overlapping Communities Across Time (KDD 2018)**
  - Alexander Gorovits, Ekta Gujral, Evangelos E Papalexakis, Petko Bogdanov
  - [[Paper]](https://dl.acm.org/doi/abs/10.1145/3219819.3220118)
  - [[Matlab reference]](http://www.cs.albany.edu/~petko/lab/software/LARC_CODE.zip)
  
- **SMACD: Semi-Supervised Multi-Aspect Community Detection (SDM 2018)**
  - Ekta Gujral, Evangelos E Papalexakis
  - [[Paper]](https://epubs.siam.org/doi/abs/10.1137/1.9781611975321.79)
  - [[Matlab reference]](http://www.cs.ucr.edu/~egujr001/ucr/madlab/src/SHOCD.zip)

- **Coupled Graphs and Tensor Factorization for Recommender Systems and Community Detection (TKDE 2018)**
  - Vassilis N. Ioannidis, Ahmed S. Zamzam, Georgios B. Giannakis, Nicholas D. Sidiropoulos
  - [[Paper]](https://arxiv.org/abs/1809.08353)
  - [[Matlab reference]](https://github.com/bioannidis/Coupled_tensors_graphs)

- **Community Detection, Link Prediction, and Layer Interdependence in Multilayer Networks (Physical Review E 2017)**
  - Caterina De Bacco, Eleanor A. Power, Daniel B. Larremore, and Cristopher Moore
  - [[Paper]](https://arxiv.org/abs/1701.01369)
  - [[Python Reference]](https://github.com/cdebacco/MultiTensor)
  
- **Overlapping Community Detection via Constrained PARAFAC: A Divide and Conquer Approach (ICDM 2017)**
  - Fatemeh Sheikholeslami and Georgios B. Giannakis 
  - [[Paper]](https://ieeexplore.ieee.org/document/8215485)
  - [[Python Reference]](https://github.com/FatemehSheikholeslami/EgoTen)
  
- **A Tensor CP Decomposition Method for Clustering Heterogeneous Information Networks (Scientific Computing 2017)**
  - Jibing Wu, Zhifei Wang, Yahui Wu, Lihua Liu, Su Deng, and Hongbin Huang
  - [[Paper]](https://www.hindawi.com/journals/sp/2017/2803091/)
  - [[Matlab Reference]](https://github.com/tianshuilideyu/CPviaSGD)
  
- **Fast Detection of Overlapping Communities via Online Tensor Methods on GPUs (ArXiV 2013)**
  - Furong Huang and Animashree Anandkumar
  - [[Paper]](https://www.semanticscholar.org/paper/Fast-Detection-of-Overlapping-Communities-via-on-Huang-Niranjan/356e6c7eacca6caa94a5a96f41a9c785064f5693)
  - [[C++ Reference]](https://github.com/mapleyustat/Fast-Detection-of-Overlapping-Communities-via-Online-Tensor-Methods)
