# Contribution Guidelines

Please note that this project is released with a [Contributor Code of Conduct](code-of-conduct.md). By participating in this project you agree to abide by its terms.

The pull request should have a useful title. Pull requests with `Update readme.md` as title will be closed. Please carefully read everything in `Adding to this list`.

## Adding to this list

Please ensure your pull request adheres to the following guidelines:

- Search previous suggestions before making a new one, as yours may be a duplicate.
- Make an individual pull request for each suggestion.
- Chose corresponding section (Factorization, Deep Learning and so on) for your suggestion.
- Include the name of the paper.
- Include the year and conference in which the paper came out.
- Keep chronological order.
- Add the paper authors.
- Add a link to the paper - preferrably on ArXiv.
- Add an implementation of the paper. You can add multiple implementations.
- Check your spelling and grammar.
- List, after your addition, should be alphabetically.
- The pull request and commit should have a useful title.
- The body of your commit message should contain a link to the repository.

Thank you for your suggestions!
